'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _babelTypes = require('babel-types');

var t = _interopRequireWildcard(_babelTypes);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

/**
 * Get the target (i.e. tagname or component variable) from a styled call
 *
 * @param  {Node} node
 *
 * @return {String}   The target
 */
var getTarget = function getTarget(node) {
  // styled.div`` => "div"
  if (t.isMemberExpression(node)) {
    return t.stringLiteral(node.property.name);
  }
  // styled(Bla) => Bla
  if (t.isCallExpression(node)) {
    return node.arguments[0];
  }
};

exports.default = getTarget;